---

- name: install bench-server packages
  apt:
    force_apt_get: true
    name: "{{ bench_server_packages }}"
    state: present

- name: ensure configuration directory exists
  file:
    path: /etc/mediaserver
    state: directory

- name: benchmark configuration settings
  copy:
    dest: /etc/mediaserver/bench-conf.json
    content: |
      {
      "LOCUST_HOST":"{{ bench_server }}",
      "MS_HOST":"{{ bench_host }}",
      "MS_USERNAME":"{{ bench_user }}",
      "MS_PASSWORD":"{{ bench_password }}",
      "MEDIA_OID":"{{ bench_oid }}",
      "TIME_STATS":{{ bench_time_stat }}
      }

- name: reload systemd daemon
  systemd:
    daemon_reload: true

- name: restart bench-server
  systemd:
    name: bench-server
    state: restarted

- name: clone ms-testing-suite repository
  git:
    repo: "{{ bench_stream_repo }}"
    version: stable
    dest: /usr/share/ms-testing-suite
    update: false

- name: streaming configuration settings
  template:
    src: bench-streaming.conf.j2
    dest: /etc/mediaserver/bench-streaming.conf

...
